# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::IntrospectableProxy Class Reference

`#include <introspection.h>`

Inheritance diagram for DBus::IntrospectableProxy:

## Public Member Functions

| IntrospectableProxy ()
std::string | Introspect ()
Public Member Functions inherited from DBus::InterfaceProxy
| InterfaceProxy (const std::string &name)
Message | invoke_method (const CallMessage &)
bool | invoke_method_noreply (const CallMessage &call)
bool | dispatch_signal (const SignalMessage &)
Public Member Functions inherited from DBus::Interface
| Interface (const std::string &name)
virtual | ~Interface ()
const std::string & | name () const
Public Member Functions inherited from DBus::ProxyBase
virtual const ObjectProxy * | object () const =0

## Additional Inherited Members

Protected Member Functions inherited from DBus::ProxyBase
InterfaceProxy * | find_interface (const std::string &name)
virtual | ~ProxyBase ()
virtual Message | _invoke_method (CallMessage &)=0
virtual bool | _invoke_method_noreply (CallMessage &call)=0
Protected Attributes inherited from DBus::InterfaceProxy
SignalTable | _signals
Protected Attributes inherited from DBus::ProxyBase
InterfaceProxyTable | _interfaces

## Detailed Description

Definition at line 76 of file introspection.h.

## Constructor & Destructor Documentation

## ◆ IntrospectableProxy()

IntrospectableProxy::IntrospectableProxy | ( |  | ) |

Definition at line 177 of file introspection.cpp.

References DBus::InterfaceProxy::InterfaceProxy(), and introspectable_name.

## Member Function Documentation

## ◆ Introspect()

std::string IntrospectableProxy::Introspect | ( |  | ) |

Definition at line 181 of file introspection.cpp.

References DBus::MessageIter::get_string(), DBus::InterfaceProxy::invoke_method(), DBus::CallMessage::member(), and DBus::Message::reader().

The documentation for this class was generated from the following files:

- introspection.h
- introspection.cpp